/** @type {import('tailwindcss').Config} */

const colors = require("tailwindcss/colors");

module.exports = {
  content: ["./src/**/*.{html,ts}"],
  theme: {
    extend: {
      colors: {
        ...colors,
      },
      keyframes: {
        shake: {
          "0%, 100%": { transform: "translateX(0)" },
          "25%": { transform: "translateX(-30px)" },
          "75%": { transform: "translateX(30px)" },
        },
      },
      animation: {
        shake: "shake 10s ease-in-out infinite",
      },
    },
  },
  plugins: [],
};
